from bodorientpy.trajectory.random import saccadic_traj
from bodorientpy.classification.sacintersaccade import extract


import matplotlib.pyplot as plt
import numpy as np

# fix the seed for constant example
np.random.seed(0)
# generate fake saccadic data
trajectory, saccade_df = saccadic_traj()
#
thresholds = [2, 3]
sacintersac, angvel = extract(trajectory, thresholds)

f, axarr = plt.subplots(3, 1)
ax = axarr[0]
trajectory.loc[:, ['x', 'y', 'z']].plot(ax=ax)
ax = axarr[1]
trajectory.loc[:, ['angle_0', 'angle_1', 'angle_2']].plot(ax=ax)
ax = axarr[2]
angvel.plot(ax=ax)
ax.axhline(min(thresholds), color='r', linestyle=':')
ax.axhline(max(thresholds), color='r', linestyle='-.')
ylim = ax.get_ylim()
ax.fill_between(sacintersac.index, min(ylim), max(ylim),
                where=sacintersac.saccade >= 0,
                facecolor='green',
                alpha=0.2)
ax.fill_between(sacintersac.index, min(ylim), max(ylim),
                where=sacintersac.intersaccade >= 0,
                facecolor='black',
                alpha=0.2)
f.show()
print(sacintersac)

import time
time.sleep(6)
