import numpy as np
from bodorientpy.trajectory.random import saccadic_traj
from bodorientpy.trajectory.plot import get_color_frame_dataframe
from bodorientpy.trajectory.plot import lollipops
import matplotlib.pyplot as plt

# fix the seed for constant example
np.random.seed(0)
# generate fake saccadic data
trajectory, saccade_df = saccadic_traj()
# for colors
colors, sm = get_color_frame_dataframe(frame_range=[
    trajectory.index.min(),
    trajectory.index.max()], cmap=plt.get_cmap('jet'))

f = plt.figure(figsize=(15, 10))
ax = f.add_subplot(111, projection='3d')
lollipops(ax, trajectory,
          colors, step_lollipop=20,
          offset_lollipop=1, lollipop_marker='o')
ax.set_xlabel('x')
ax.set_ylabel('y')
ax.set_zlabel('z')
cb = f.colorbar(sm)
cb.set_label('frame number')
f.show()
